$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.175-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.175-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C60B97730758AEAC08B4A0EC5D11CBF8B6FCB5C278AD9B668874FF61454834CA'
  checksumType = 'sha256'
  checksum64 = 'C60B97730758AEAC08B4A0EC5D11CBF8B6FCB5C278AD9B668874FF61454834CA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.175-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
